<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetParallelTransitionInfo Method (IEdmTransition9)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmTransition9 Interface : GetParallelTransitionInfo Method (IEdmTransition9)

Visual Basic
C#
C++/CLI

lDocumentID
  Document ID

lProjectID
  Project ID

plReqNum
  Number of this parallel transition

plCommitNum
  Number of committed users

pbRevoke
  True to revoke, false to not

Gets the required information for the parallel transition of the specified document and project.

# Syntax

Visual Basic |
--- | ---

    Sub GetParallelTransitionInfo( _
       ByVal lDocumentID As System.Integer, _
       ByVal lProjectID As System.Integer, _
       ByRef plReqNum As System.Integer, _
       ByRef plCommitNum As System.Integer, _
       ByRef pbRevoke As System.Boolean _
    )

C# |
--- | ---

    void GetParallelTransitionInfo(
       System.int lDocumentID,
       System.int lProjectID,
       out System.int plReqNum,
       out System.int plCommitNum,
       out System.bool pbRevoke
    )

C++/CLI |
--- | ---

    void GetParallelTransitionInfo(
    &   System.int lDocumentID,
    &   System.int lProjectID,
    &   [Out] System.int plReqNum,
    &   [Out] System.int plCommitNum,
    &   [Out] System.bool pbRevoke
    )

#### Parameters

lDocumentID
  Document ID
lProjectID
  Project ID
plReqNum
  Number of this parallel transition
plCommitNum
  Number of committed users
pbRevoke
  True to revoke, false to not

# See Also

####

IEdmTransition9 Interface
IEdmTransition9 Members